Add Vrt Source
POST
/ingest/vrt/{dataset_id}/sources/
const url = 'https://example.com/api/ingest/vrt/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sources/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"source_dataset_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/ingest/vrt/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sources/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "source_dataset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Add a COG source to an existing VRT and trigger async regeneration.
Validates the new source against existing sources synchronously. Returns 202 Accepted with a job_id for polling. Returns 409 if the VRT is currently regenerating (SRC-05) or source already linked. Returns 422 if the source is incompatible with existing sources.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
VrtAddSourceRequest
object
source_dataset_id
required
Source Dataset Id
Raster dataset ID to add as an additional source to the existing VRT.
string format: uuid
Example generated
{ "source_dataset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
VrtMutationResponse
object
job_id
required
Job Id
Identifier of the asynchronous VRT mutation job.
string format: uuid
status
Status
Initial job status.
string
message
required
Message
Human-readable acceptance message.
string
Example
{ "status": "accepted"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}